Update from 1.9 to 2.0

Mehr
4 Jahre 5 Monate her #93095 von DezB
DezB erstellte das Thema Update from 1.9 to 2.0
:(
Hi Folks

I have just uploaded the files to update to the latest version but when I try to run the installer I get an error: Connection with database failed. Please check database location, user name and password and try again.

I copied the old config.php file to my local machine, backed up the database and have run the installer using the same database username, name and password but still the error occurs.

I have tried using variations on a theme such as localhost and localhost:/tmp/mysql5.sock but no joy.

Any ideas please?

If it helps the port for the database should be 3316 but I'm not sure if this can be entered anywhere or if in fact it makes a difference.

Any help would be much appreciated, thanks

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93172 von kris01
kris01 antwortete auf das Thema: Update from 1.9 to 2.0
Which version op php are you using?

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93187 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Kris

PHP 5.2.7 so it should would without error.

I've tried all sorts including deleting the installer folder and adding the config.php file directly into the application/config folder. No joy

In the meantime I've re-installed the older 1.92 version without any problem. However the 3-Click ComfortUpdate returns the error: Error : PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature so I don't know what to do next.

I do recall having a similar problem sometime ago with an update and the advise was to to check the $rooturl = "http://"; but I cannot seem to find this anywhere to check.

If you have any ideas I'd appreciate it.

Thanks

Deryn

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93215 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Folks

An update to this problem.

I have now re-installed the old Version 1.92+ Build 120704 and using the existing database details it is working just fine.

However the ComfortUpdate returns the following error: Error : PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Any help much appreciated please.

DezB

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93222 von kris01
kris01 antwortete auf das Thema: Update from 1.9 to 2.0
Did you try to simulate the update using php 5.3.5 in local xampp?

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93223 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Kris

I'm running PHP 5.2.17 and no I have not tried running it in xamp.

This is something I might try if all else fails, in the meantime I have submitted the query to 1and1 who are my hosts to see if they have any ideas.

Thanks for keeping me in mind.

Regards

Deryn

PS I'm sure that I had a problem with the first time I installed Limesurvey a couple of years go and I was advised to change to root url to $rooturl = "http://"; but can't seem to find where to change this to see if it works

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93256 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Folks

An update to this ongoing problem.

1 and 1 don't seem to be able to identify just what is preventing the installer from working.

They have pointed me to a couple of faq's which seem to indicate that everything should work just fine so if anyone has any ideas I would certainly appreciate it:

faq.1and1.com/web_space__access/mysql/12.html
faq.1and1.com/web_space__access/mysql/11.html

Many thanks

DezB

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93261 von c_schmitz
c_schmitz antwortete auf das Thema: Update from 1.9 to 2.0
Can you describe what exactly happens? Do not copy the old config.php to /application/config.php (where in the installation manual does it say that?).

Best regards

Carsten Schmitz
LimeSurvey project leader

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93303 von Chrome67
Chrome67 antwortete auf das Thema: Update from 1.9 to 2.0
just a quick thought, since I am upgrading right now on my system, the dropdown box at the top of the db page defaults to MSSQL instead of MySQL. When I left it on MSSQL I got the exact same error...just my experience...

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93308 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi

I uploaded the files and started the installer.

It does it's initial check which passes the Minimum requirements with only the PHP LDAP library in the Optional section showing as a red cross.

Click next

Enter the correct details; (only MySQL is showing in the dropdown box)
Dbase Location: localhost
Dbase User: dboxxxxxx
Dbase password: password
Dbase name: dbxxxxxx
Table prefix: lime_

Click next

Error:

Please fix the following input errors:

Connection with database failed. Please check database location, user name and password and try again.

I know that the dbase details are correct having double checked them several times.

I only tried to use the original config.php file as an experiment after the above had failed several times.

If you could shed some light on this I would be very grateful as it really is getting frustrating.

Many thanks

DezB

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93314 von Ben_V
Ben_V antwortete auf das Thema: Update from 1.9 to 2.0
Hello,
...may you have your solution here

Benoît

EM Variables => bit.ly/1TKQyNu | EM Roadmap => bit.ly/1UTrOB4
Last Releases => 2.6x.x goo.gl/ztWfIV | 2.06/2.6.x => bit.ly/1Qv44A1
Demo Surveys => goo.gl/HuR6Xe (already included in /docs/demosurveys)

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93317 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Ben V

You Genius, thank you so much

All sorted, loaded, running and even updated.

Many thanks again as I can breathe again now.

DezB :woohoo:

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93319 von Ben_V
Ben_V antwortete auf das Thema: Update from 1.9 to 2.0
You're welcome!

Benoît

EM Variables => bit.ly/1TKQyNu | EM Roadmap => bit.ly/1UTrOB4
Last Releases => 2.6x.x goo.gl/ztWfIV | 2.06/2.6.x => bit.ly/1Qv44A1
Demo Surveys => goo.gl/HuR6Xe (already included in /docs/demosurveys)

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93694 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi folks

I've now sorted this and will post the method shortly for anyone else that uses 1and1 servers.

Many thanks to all those who helped by the way...

Cheers

DezB

Bitte Anmelden um der Konversation beizutretten.

Mehr
4 Jahre 4 Monate her #93702 von DezB
DezB antwortete auf das Thema: Update from 1.9 to 2.0
Hi Folks

With many thanks to Ben_V, the answer was:

Install Error

I was having the same issue and after an hour of hacking around in the code I have found what you need to do.

Open application/controllers/InstallerController.php and around line 1106 in the _getDsn function you will find this:

$dsn = "mysql:host={$sDatabaseLocation};port={$sDatabasePort};dbname={$sDatabaseName};"


Change to this

$dsn = "mysql:unix_socket={$sDatabaseLocation};port={$sDatabasePort};dbname={$sDatabaseName};";


And the install will run as normal but in the host box instead of localhost put /tmp/mysql5.sock

Works a treat..

DezB

Bitte Anmelden um der Konversation beizutretten.

Haben Sie schon bei unserer Kundenumfrage mitgemacht?

Verpassen Sie nicht Ihre Chance auf tolle Preise.

Klicken sie hier um teilzunehmen:

Jetzt starten

Jetzt loslegen!

Melden Sie sich jetzt an, und erstellen Sie in wenigen Minuten Ihre erste Umfrage.

Account einrichten